package HTFeed::Namespace::MDL;
use strict;
use warnings;
use HTFeed::Namespace;
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'mdl';

our $config = {

    handle_prefix => '2027/mdl',
    packagetypes => [qw(ht mdlcontone mdlcontone_composite mdlcontone_mhs mdlcontone_mhsc)],
    description => 'Minnesota Digital Library',
};



sub validate_barcode {
    my $self    = shift;
    my $barcode = shift;

#    # should normally be something like reflections.mhs01234[a][-all]
if($barcode !~ /^[a-z0-9.-]+/) {
   return;
}

    return 1;

}

1;

__END__

=pod

This is the namespace configuration file for the Minnesota Digital Library.

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('mdl');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2010 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
