package HTFeed::Namespace::MIUN;

use strict;
use warnings;
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'miun';

our $config = {

    handle_prefix => '2027/miun',

    description => 'University of Michigan, legacy DLXS content with pre-Aleph system ID',

    packagetypes => [qw(ht dlxs)],
};


# example: ahv9338.0001.006 

sub validate_barcode {
    my $self    = shift;
    my $barcode = shift;


    return $barcode =~ /^[a-z]{3}[a-z\d-]{4}\.[a-z\d-]{4}\.[a-z\d-]{3}$/;
}

1;
__END__

=pod

This is the namespace configuration file for the University of Michigan DLPS material with old-style IDs.

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('miun');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2011 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
