package HTFeed::Namespace::NYP;
use strict;
use warnings;
use HTFeed::Namespace ;
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'nyp';

our $config = {

    # The GRIN ID
    grinid => 'NYPL',
    packagetypes => [qw(ht google)],

    handle_prefix => '2027/nyp',
    description => 'New York Public Library',

    tags => [qw(bib report)]
};

sub validate_barcode {
    my $self    = shift;
    my $barcode = shift;
    return ($self->luhn_is_valid('33433',$barcode)
	or  $self->luhn_is_valid('33333',$barcode));

}

1;

__END__

=pod

This is the namespace configuration file for the New York Public Library

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('nyp');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2010 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
