package HTFeed::Namespace::UIUG;
use strict;
use warnings;
use HTFeed::Namespace ;
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'uiug';

our $config = {

    # The GRIN ID
    grinid => 'UIUC',
    packagetypes => [qw(ht google)],

    description => 'University of Illinois Urbana Champaign (Google)',

    handle_prefix => '2027/uiug',

    tags => [qw(bib cic pd_only report)]
};

sub validate_barcode {
    my $self    = shift;
    my $barcode = shift;
    return $self->luhn_is_valid('30112',$barcode);
}

1;

__END__

=pod

This is the namespace configuration file for UIUC (Google)

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('uiug');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2012 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
